JDBC30DataHandler (Jython API documentation)
Date: 2022-09-10

com.ziclix.python.sql

## Class JDBC30DataHandler

- java.lang.Object
- - com.ziclix.python.sql.DataHandler
  - - com.ziclix.python.sql.FilterDataHandler
    - - com.ziclix.python.sql.JDBC30DataHandler

-     public class JDBC30DataHandler
      extends FilterDataHandler

  Support for JDBC 3.x additions, notably ParameterMetaData.
  Author:
    brian zimmer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBC30DataHandler(DataHandler datahandler)` Handle JDBC 3.0 additions.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setJDBCObject(java.sql.PreparedStatement stmt, int index, PyObject object)` Use ParameterMetaData if available to dynamically cast to the appropriate JDBC type.

    - ### Methods inherited from class com.ziclix.python.sql.FilterDataHandler

      `__chain__, getPyObject, getRowId, postExecute, preExecute, setJDBCObject`

    - ### Methods inherited from class com.ziclix.python.sql.DataHandler

      `checkNull, getMetaDataName, getProcedure, getPyObject, getSystemDataHandler, read, read, registerOut, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JDBC30DataHandler

          public JDBC30DataHandler(DataHandler datahandler)

      Handle JDBC 3.0 additions.

  - ### Method Detail

    - #### setJDBCObject

          public void setJDBCObject(java.sql.PreparedStatement stmt,
                                    int index,
                                    PyObject object)
                             throws java.sql.SQLException

      Use ParameterMetaData if available to dynamically cast to the appropriate JDBC type.
      Overrides:
        `setJDBCObject` in class `FilterDataHandler`
      Parameters:
        `stmt` - the prepared statement
        `index` - the index currently being used
        `object` - the object to be set on the statement
      Throws:
        `java.sql.SQLException`

Jython homepage